Next | Query returned 87 messages, browsing 1 to 10 | Previous

History of commit frequency

CVS Commit History:


   2018-09-05 15:22:31 by Jonathan Perkin | Files touched by this commit (1)
Log message:
gtk-doc: No longer supports python27.
   2018-09-04 15:02:07 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
gtk-doc: update to 1.29.

GTK-Doc 1.29  (Aug 28 2018)
===============

GTK-Doc now requires python-3.X. It does not requires python-six anymore.

Note that this is a nonmaintainer release and that tests are known to be broken.

 Changes

 o 674163 :  –    html-build.stamp rule broken for \ 
out-of-tree builds with absolute paths
 o 795744 : Too much escaped string - "  & lt;child >  \ 
" in description of " GtkOverlay as GtkBuildable " \ 
section
 o 796011 : Crash in ScanDirectory caused by overlooked use of renamed `dir` variable
 o 796012 : Several places in rebase.py incorrectly use `match.groups(1)` \ 
instead of `match.group(1)`, one causes a crash

 Contributors

 Adam Williamson
 Anders Jonsson
 Daniel Mustieles
 David D
 LRN
 Marek Cernocky
 Martin Blanchard
 Michael Biebl
 Michael Catanzaro
 Rafael Fontenelle
 Sebastian Geiger
 Stefan Sauer
 Tim Sabsch
   2018-08-16 20:55:17 by Adam Ciarcinski | Files touched by this commit (653) | Package updated
Log message:
revbump after boost-libs update
   2018-07-03 07:03:44 by Adam Ciarcinski | Files touched by this commit (495)
Log message:
extend PYTHON_VERSIONS_ for Python 3.7
   2018-04-29 23:32:09 by Adam Ciarcinski | Files touched by this commit (629) | Package updated
Log message:
revbump for boost-libs update
   2018-04-16 14:49:59 by Thomas Klausner | Files touched by this commit (3) | Package updated
Log message:
gtk-doc: update to 1.28.

GTK-Doc 1.28  (Mar 24 2018)
==============

Bug fixes.

 o 791928 : gtk-doc doesn't understand 'stability: Obsolete'
 o 792148 : cmake: Installed GtkDocConfig.cmake has incorrect bindir path
 o 792661 : use pygments to do syntax highlighing
 o 793599 : Please run testsuite with V=0
 o 794051 : rebase: fix on-line location extraction from devhelp files
 o 794182 : private_header regex is broken
   2018-01-10 23:57:17 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
gtk-doc: update to 1.27.

GTK-Doc 1.27  (Dec 07 2017)
==============

Finetune the python port.

 Changes

 o 773879 : scangobj: Do not generate unused parameters
 o 786174 : Several test failures on Arch Linux
 o 787495 : gtkdoc-fixxref crashes when running vim for syntax highlighting
 o 787768 : Aborts when glib2.0-dev is not installed
 o 787862 : Always open files in text mode and always use utf-8
 o 788473 : fixxref crashes if a .devhelp2.gz file is found
 o 789531 : Don't depend on the system shell
 o 790022 : mkdb: Add support for (not optional) annotation
 o 791131 : gtk-doc and python3: fixxref failures
   2018-01-01 22:18:57 by Adam Ciarcinski | Files touched by this commit (629) | Package updated
Log message:
Revbump after boost update
   2017-12-18 12:27:59 by Jonathan Perkin | Files touched by this commit (1) | Package updated
Log message:
gtk-doc: Depend on source-highlight for highlighting.

The current default of vim (if found) is broken, but the upstream patch to
fix it doesn't work in isolation, and updating to the latest release breaks
other things, so this is currently the least-worst option to unbreak other
packages like poppler-glib unfortunately.

Really this should be a package option and set explicitly rather than
relying on finding random binaries on the system.  Bump PKGREVISION.
   2017-11-08 15:29:50 by Thomas Klausner | Files touched by this commit (1)
Log message:
gtk-doc: not make-jobs safe with itstool-2.0.4

works fine for me with 2.0.2 but with 2.0.4 I see
  GEN    el/
Error: Could not merge translations:
'NoneType' object is not subscriptable
Makefile:522: recipe for target 'cs/cs.stamp' failed

Next | Query returned 87 messages, browsing 1 to 10 | Previous